package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.report.QualityAnalyseReportBean;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.mapper.QualityAnalyseReportMapper;
import com.qmth.sop.business.service.QualityAnalyseReportService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 质量监控分析报表service impl
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@Service
public class QualityAnalyseReportServiceImpl extends ServiceImpl<QualityAnalyseReportMapper, TBService>
        implements QualityAnalyseReportService {

    /**
     * 大区质量问题统计
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<QualityAnalyseReportBean> areaQualityReport(Long serviceId) {
        return this.baseMapper.areaQualityReport(serviceId);
    }

    /**
     * 人力商质量问题统计
     *
     * @param serviceId
     * @return
     */
    @Override
    public List<QualityAnalyseReportBean> humanSupplierQualityReport(Long serviceId) {
        return this.baseMapper.humanSupplierQualityReport(serviceId);
    }
}
